libpolyclipping22_6.4.2-3_i386.deb


Advertisement

Description

libpolyclipping22 - polygon clipping, polygon offsetting and polyline offsetting library

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpolyclipping22
Package version 6.4.2
Package release 3
Package architecture i386
Package type deb
Installed size 147 B
Download size 56.50 KB
Official Mirror archive.ubuntu.com
The Clipper library performs polygon clipping, polygon offsetting and polyline
offsetting. All four boolean clipping operations are supported - intersection,
union, difference and exclusive-or. Also, there are no restrictions on the
types of polygons that can be clipped - they can have holes, be
self-intersecting, have coincident edges etc.

Alternatives

Package Version Architecture Repository
libpolyclipping22_6.4.2-3_amd64.deb 6.4.2 amd64 Ubuntu Universe
libpolyclipping22 - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libstdc++6 >= 5.2

Download

Type URL
Binary Package libpolyclipping22_6.4.2-3_i386.deb
Source Package libpolyclipping

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpolyclipping22 deb package:
    # sudo apt-get install libpolyclipping22

Files

Path
/usr/lib/libpolyclipping.so.22
/usr/lib/libpolyclipping.so.22.0.0
/usr/share/doc/libpolyclipping22/changelog.Debian.gz
/usr/share/doc/libpolyclipping22/copyright

Changelog

2017-10-17 - Petter Reinholdtsen <pere@debian.org>
libpolyclipping (6.4.2-3) unstable; urgency=medium
* Upload to unstable.
2017-10-04 - Petter Reinholdtsen <pere@debian.org>
libpolyclipping (6.4.2-2) experimental; urgency=medium
* Added debian/source.lintian-overrides to tell the automatic upload
checker that some lintian errors are expected.
2017-10-04 - Petter Reinholdtsen <pere@debian.org>
libpolyclipping (6.4.2-1) experimental; urgency=medium
* Added Homepage and Vcs-* fields to d/control.
* Added gbp.conf file to enfore use of pristine-tar.
* New upstream version 6.4.2.
- New SONAME, rename libpolyclipping16 to libpolyclipping22.
- Removed pkconfig-fix patch now included upstream.
* Updated Standards-Versoin from 3.9.5 to 4.1.1.
* Added myself and Gregor as uploaders.
* Improved debian/copyright a bit.
2014-02-04 - Bas Wijnen <wijnen@debian.org>
libpolyclipping (6.1.3a-2) unstable; urgency=medium
* Actually change maintainer to 3-D printer team.
2014-01-24 - Bas Wijnen <wijnen@debian.org>
libpolyclipping (6.1.3a-1) unstable; urgency=medium
* New upstream release.
* Change maintainer to 3-D printer team, add myself as uploader.
* Updated standards version to 3.9.5.  (No changes needed.)
2013-11-09 - Bas Wijnen <wijnen@debian.org>
libpolyclipping (6.0.0-2) unstable; urgency=low
* Fix pkgconfig include path.
2013-11-09 - Bas Wijnen <wijnen@debian.org>
libpolyclipping (6.0.0-1) unstable; urgency=low
* Initial Release. (Closes: #728542)
* Add pkgconfig file.

See Also

Package Description
libpolyglot-maven-java-doc_0.8~tobrien+git20120905-9_all.deb modules to enable Maven usage in others JVM languages - docs
libpolyglot-maven-java_0.8~tobrien+git20120905-9_all.deb modules to enable Maven usage in others JVM languages
libpolylib64-8_5.22.5-4+dfsg_i386.deb Polyhedral library - long int version
libpolylib64-dev_5.22.5-4+dfsg_i386.deb Development files for the long int version of PolyLib
libpolymake-dev-common_3.2r2-3_all.deb Tool for algorithmic discrete geometry -- common dev package
libpolymake-dev_3.2r2-3_i386.deb Tool for algorithmic discrete geometry -- development package
libpolymake3.2_3.2r2-3_i386.deb Tool for algorithmic discrete geometry -- library package
libpolyml-dev_5.7.1-1_i386.deb development files for Poly/ML, a compiler for Standard ML
libpolyml9_5.7.1-1_i386.deb runtime files for Poly/ML, a compiler for Standard ML
libpolyorb4-dev_2.11~20140418-4_i386.deb Multiple-personality middleware for Ada (development)
libpolyorb5_2.11~20140418-4_i386.deb Multiple-personality middleware for Ada
libpomegranate-clojure_1.0.0-2_all.deb dependency resolution and repository handling library for Clojure
libpomp-dev_1.1+dfsg-5_i386.deb OpenMP Pragma And Region Instrumentor - development files
libpomp0_1.1+dfsg-5_i386.deb OpenMP Pragma And Region Instrumentor - shared library
libpomp2-dev_2.0.2-3_i386.deb OpenMP Pragma And Region Instrumentor - development files
Advertisement
Advertisement